com.tibbo.aggregate.common.context

## Interface CallerData

-     public interface CallerData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSessionClosedHook(SessionClosedActionListener sessionClosedActionListener)`
    `void` | `addToActionHistory(ActionHistoryItem item)`
    `DataTable` | `addToLocalRegistry(java.lang.Long id, DataTable table)`
    `void` | `cleanExpiredResources()`
    `void` | `cleanup()`
    `UserSettings` | `fetchUserSettings(ContextManager contextManager, CallerController callerController)`
    `java.util.List<ActionHistoryItem>` | `getActionHistory()`
    `ActionManager` | `getActionManager()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getContextPasswords()`
    `java.util.Optional<DataBlockProvider>` | `getDataProvider(java.lang.Long id)`
    `java.util.Map<java.lang.Integer,java.util.List<Event>>` | `getEventHistory()`
    `java.util.List<Event>` | `getEventHistory(int listenerHashCode)`
    `java.util.List<EventSortDirective>` | `getEventSortDirectives(int listenerHashCode)`
    `java.util.Map<java.lang.Integer,EventsFilter>` | `getHistoryEventFilters()`
    `KnownFormatCollector` | `getKnownFormatCollector()`
    `java.util.Map<java.lang.Integer,EventsFilter>` | `getRealtimeEventFilters()`
    `StorageSession` | `getViewSession(long id)`
    `void` | `makeDataIdAvailable(java.lang.Long id, DataBlockProvider dataBlockProvider)`
    `void` | `registerViewSession(long id, StorageSession session)`
    `void` | `setActionManager(ActionManager actionManager)`
    `void` | `storeEventHistory(int listenerHashCode, java.util.List<Event> history)`
    `void` | `storeEventSortDirectives(int listenerHashCode, java.util.List<EventSortDirective> sortDirectives)`
    `UserSettings` | `updateUserSettings(ContextManager contextManager, CallerController callerController)`

- - ### Method Detail

    - #### storeEventHistory

          void storeEventHistory(int listenerHashCode,
                                 java.util.List<Event> history)

    - #### getEventHistory

          java.util.List<Event> getEventHistory(int listenerHashCode)

    - #### getEventHistory

          java.util.Map<java.lang.Integer,java.util.List<Event>> getEventHistory()

    - #### getEventSortDirectives

          java.util.List<EventSortDirective> getEventSortDirectives(int listenerHashCode)

    - #### storeEventSortDirectives

          void storeEventSortDirectives(int listenerHashCode,
                                        java.util.List<EventSortDirective> sortDirectives)

    - #### cleanup

          void cleanup()

    - #### getHistoryEventFilters

          java.util.Map<java.lang.Integer,EventsFilter> getHistoryEventFilters()

    - #### getRealtimeEventFilters

          java.util.Map<java.lang.Integer,EventsFilter> getRealtimeEventFilters()

    - #### getDataProvider

          java.util.Optional<DataBlockProvider> getDataProvider(java.lang.Long id)

    - #### makeDataIdAvailable

          void makeDataIdAvailable(java.lang.Long id,
                                   DataBlockProvider dataBlockProvider)

    - #### getContextPasswords

          java.util.Map<java.lang.String,java.lang.String> getContextPasswords()

    - #### getActionManager

          ActionManager getActionManager()

    - #### getKnownFormatCollector

          KnownFormatCollector getKnownFormatCollector()

    - #### addToActionHistory

          void addToActionHistory(ActionHistoryItem item)

    - #### getActionHistory

          java.util.List<ActionHistoryItem> getActionHistory()

    - #### setActionManager

          void setActionManager(ActionManager actionManager)

    - #### registerViewSession

          void registerViewSession(long id,
                                   StorageSession session)

    - #### cleanExpiredResources

          void cleanExpiredResources()

    - #### getViewSession

          StorageSession getViewSession(long id)

    - #### addToLocalRegistry

          DataTable addToLocalRegistry(java.lang.Long id,
                                       DataTable table)

    - #### addSessionClosedHook

          void addSessionClosedHook(SessionClosedActionListener sessionClosedActionListener)

    - #### fetchUserSettings

          UserSettings fetchUserSettings(ContextManager contextManager,
                                         CallerController callerController)

    - #### updateUserSettings

          UserSettings updateUserSettings(ContextManager contextManager,
                                          CallerController callerController)